Bug 1299322 - "container" option doesn't work well in atomic-openshift-installer
"container" option doesn't work well in atomic-openshift-installer
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 01:26 EST by Gaoyun Pei
Modified: 2016-07-03 20:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.34-1.git.0.b0511f9.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-29 15:58:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2016-01-18 01:26:10 EST
Description of problem:

Install an env with atomic-openshift-installer, choosing "container" in step "Will this host be RPM or Container based (rpm/container)?".

"containerized: true" would be written into installer.cfg.yml, but there's no containerized configuration generated in ~/.config/openshift/.ansible/hosts.

So the installer won't work when trying to install container env on RHEL-7 hosts.


Version-Release number of selected component (if applicable):
atomic-openshift-utils-3.0.33-1.git.0.bb1f8aa.el7aos.noarch

How reproducible:
Always

Steps to Reproduce:
1.Install containerized env by choosing "container" with atomic-openshift-installer


Actual results:
It didn't run a containerized installation.


Expected results:
Should have "containerized=True" in ansible inventory when choosing "container".

Additional info:
Comment 1 Samuel Munilla 2016-01-18 14:31:25 EST
Should be fixed by: https://github.com/openshift/openshift-ansible/pull/1205
Comment 3 Gaoyun Pei 2016-01-18 23:18:07 EST
Test with atomic-openshift-utils-3.0.35-1.git.0.6a386dd.el7aos.noarch

Once choose container install method, containerized=True would be set for the host.

Note You need to log in before you can comment on or make changes to this bug.